﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace P25_2
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Конструктор
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {

            if (textBox1.Text == "" || textBox1.Text == "Введите ваше имя")
            {
                MessageBox.Show("Введите имя пользователя!");
            }
            else
            {
                //Сохраняем имя пользователя
                (Application.Current as App).Username = textBox1.Text;
                //Формируем адрес
                string gamePageCall = "/Game.xaml";
                NavigationService.Navigate(new Uri(gamePageCall, UriKind.Relative));
            }
        }

        private void textBox1_GotFocus(object sender, RoutedEventArgs e)
        {
            textBox1.Text = "";
        }
        //Активация страницы
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            int scores = (Application.Current as App).Scores;
            string username = (Application.Current as App).Username;
            if (username != "")
            {
                textBox1.Text = username;
                //Сформируем сообщение о набранных очках, это, как минимум, 0 очков
                textBlock2.Text = "Пользователь " + username + " набрал " + scores.ToString() + " очка (ов) (о)";
            }
            else
            {
                textBox1.Text = "Введите ваше имя";
            }

            base.OnNavigatedTo(e);
        }
    }
}